Subject: Re: [PATCH RFC 1/3] add: add new --exclude option to git add

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Mar 2015 13:09:38 -0700

Eric Sunshine <[email-masked]> writes:

> The commit message is missing the important justification for why this
> new option is desirable, and why only git-add needs it.

I think that is a very good point.  I actually do not see why this
option is ever needed, in a modern world that has the negative
pathspec magic.

Is there a reason why this is undesiable

    $ git add -- \*.c ':!secret.c'

and has to be spelled as

    $ git add --exclude=secret.c -- \*.c

I do not see why...